import spidev
import time
# This script is executed on the raspberry pi.  
# An stm32f0discovery board should be connected to the pi's spi interface 
# as described in the note at:
# http://eleceng.dit.ie/frank/arm/BareMetalSTM32F0Discovery/index.html

def SendCommand(cmd, param):
        spi.xfer([cmd,param])
        resp=spi.xfer([0,0])
        return resp[1]*256+resp[0]

spi = spidev.SpiDev()
spi.open(0,0)
while True:
        result = SendCommand(1,3)
        print hex(result)
        time.sleep(1)
        result = SendCommand(2,4)
        print hex(result)
        time.sleep(1)

